Bug 841322 - libmikmod causes xbmc to crash
libmikmod causes xbmc to crash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: SDL_mixer (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 12:51 EDT by Tibbs Brookside
Modified: 2012-08-14 09:37 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 14:17:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash log (37.92 KB, text/x-log)
2012-07-18 12:51 EDT, Tibbs Brookside
no flags Details
updated SDL_mixer specfile (10.12 KB, text/plain)
2012-07-29 12:14 EDT, Jan Dvořák
no flags Details
first MikMod-related patch (2.01 KB, patch)
2012-07-29 12:15 EDT, Jan Dvořák
no flags Details | Diff
second MikMod-related patch (1.13 KB, patch)
2012-07-29 12:15 EDT, Jan Dvořák
no flags Details | Diff

  None (edit)
Description Tibbs Brookside 2012-07-18 12:51:43 EDT
Created attachment 598942 [details]
crash log

Description of problem:
following the recent update of libmikmod from :

libmikmod-3.2.0-13.beta2.fc17.x86_64

to :

libmikmod-3.2.0-15.fc17.x86_64

xbmc (as packaged by rpm fusion) now crashes whenever any media is played.


Version-Release number of selected component (if applicable):
libmikmod-3.2.0-15.fc17.x86_64
xbmc-11.0-1.fc17.x86_64

How reproducible:
happens every time.


Steps to Reproduce:
1. update libmikmod package
2. start xbmc
3. play any media
  

Actual results:
xbmc crashes with :

*** glibc detected *** /usr/lib64/xbmc/xbmc.bin: double free or corruption (out): 0x00007f00485b5f60 ***

full crash log is attached

Expected results:
media should play normally


Additional info:
downgrading the libmikmod package resolves the problem
Comment 1 Scott Williams 2012-07-25 23:52:34 EDT
I can reproduce this on my own media center.  Downgrading libmikmod resolves the crashing.
Comment 2 Jan Dvořák 2012-07-29 12:12:29 EDT
Hi,

the problem is not with MiKMod itself, but rather the fact that they started allocating data in a free()-incompatible way. This makes SDL_mixer crash due to not using MikMod_free().

See:
  http://hg.libsdl.org/SDL_mixer/rev/56cad6484b04
  http://hg.libsdl.org/SDL_mixer/rev/2ebb0d016f27

Can you please apply these patches to SDL_mixer and get XBMC going again? :-)

As it seems that MikMod/SDL_mixer are present in RHEL as well, upgrading MikMod will require rebuild of SDL_mixer when the time comes.

I've tested them on F17 RPM and everything is working again.
Comment 3 Jan Dvořák 2012-07-29 12:14:38 EDT
Created attachment 601054 [details]
updated SDL_mixer specfile

Updates SDL_mixer specfile.
Comment 4 Jan Dvořák 2012-07-29 12:15:28 EDT
Created attachment 601055 [details]
first MikMod-related patch
Comment 5 Jan Dvořák 2012-07-29 12:15:55 EDT
Created attachment 601056 [details]
second MikMod-related patch
Comment 6 Tibbs Brookside 2012-07-29 13:56:03 EDT
i can confirm that the solution works for me. thanks.
Comment 7 Jindrich Novy 2012-07-30 02:14:40 EDT
Thanks for looking into it!

Reassigning to SDL_mixer as it needs to be patched instead of libmikmod.
Comment 8 Gwyn Ciesla 2012-07-30 08:16:04 EDT
Great, thanks all, I'll get this out ASAP.
Comment 9 Fedora Update System 2012-07-30 09:11:40 EDT
SDL_mixer-1.2.12-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/SDL_mixer-1.2.12-3.fc17
Comment 10 Fedora Update System 2012-07-30 18:29:10 EDT
Package SDL_mixer-1.2.12-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing SDL_mixer-1.2.12-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11304/SDL_mixer-1.2.12-3.fc17
then log in and leave karma (feedback).
Comment 11 Cott Lang 2012-07-31 15:09:43 EDT
Updated package works for me - thanks!
Comment 12 Fedora Update System 2012-08-01 14:17:59 EDT
SDL_mixer-1.2.12-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Gwyn Ciesla 2012-08-14 09:37:32 EDT
*** Bug 847904 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.